Sep 242015
 

We’ve recently discovered that the latest version of the ChipKIT MPIDE (used to compile and flash the PineBlaster code) is no longer compatible with the original PineBlaster code that we have made available.

We have updated our code to be compatible with the latest version of MPIDE (v0150-20150820), however this has resulted in a reduction of available PineBlaster instructions to 7450 (down from 15000) and a slower response to hardware triggers. As such, it is our recommendation to continue using the original code (which currently resides in the default branch of our repository) to maintain the original specifications. However, this code can only be compiled by MPIDE v0023-20120903 with all compiler optimisations disabled as per the readme file in the bitbucket repository.

If you have any issues compiling the PineBlaster code, or acquiring a copy of the correct version of MPIDE, please contact us via our mailing list.

Note: If your PineBlaster is currently functioning correctly, you do not need to do anything! This post only relates to flashing the PineBlaster code onto the ChipKIT board before using it with the labscript suite software.

 Leave a Reply

(required)

(required)

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>